Bug 857476 - errors prevent configuration
errors prevent configuration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aeolus-configure (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 10:27 EDT by Jon Thomas
Modified: 2013-07-10 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 09:48:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Thomas 2012-09-14 10:27:04 EDT
It looks like clone of bz835151. The fix for bz835151 went in 0.10.5-1 and f17 is at 10.4. 

https://github.com/aeolusproject/conductor/commits/0.10.x

There are some other errors too and I'm not sure if they are related.

# aeolus-configure -p mock
Launching aeolus configuration recipe...
/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
warning: Could not retrieve fact ipaddress
/usr/share/ruby/vendor_ruby/puppet/provider/service/bsd.rb:12: warning: class variable access from toplevel
/usr/share/ruby/vendor_ruby/puppet/provider/service/freebsd.rb:8: warning: class variable access from toplevel
/usr/share/ruby/vendor_ruby/puppet/provider/service/freebsd.rb:9: warning: class variable access from toplevel
/usr/share/ruby/vendor_ruby/puppet/provider/service/freebsd.rb:10: warning: class variable access from toplevel
notice: /Stage[main]/Aeolus::Deltacloud::Core/Service[deltacloud-core]/ensure: ensure changed 'stopped' to 'running'
err: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: change from notrun to 0 failed: /usr/bin/nc -z localhost 3002 returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/deltacloud/core.pp:27
notice: /Stage[main]/Ntp::Client/Service[ntpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/File[/usr/share/aeolus-conductor/config/initializers/secret_token.rb]/content: content changed '{md5}f3475b9a41a9327be7d8120537b1db2a' to '{md5}269aa449bb26a3ca6d4dd3c6206742d9'
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: conductor already exists
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User already exists: admin
err: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: change from notrun to 0 failed: /usr/bin/rake dc:create_user[admin,password,root@localhost.localdomain,Administrator,] returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor/site_admin.pp:9
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[create_temp_admin]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[create_temp_admin]/returns: User temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b registered
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[create_temp_admin]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[grant_temp_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[grant_temp_admin_privs]/returns: Granting administrator privileges for temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b...
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[grant_temp_admin_privs]/returns: executed successfully
err: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Login[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login]/post: change from  to https://localhost/conductor/user_session failed: An exception was raised when invoking web request: Invalid HTTP Return Code: 404,
                               was expecting one of 200
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]: Dependency Exec[create_site_admin_user] has failures: true
warning: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Login[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[decrement_login_counter]: Dependency Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Login[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[decrement_login_counter]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Hwp[small-x86_64]/Web_request[hwp-small-x86_64]: Dependency Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Hwp[small-x86_64]/Web_request[hwp-small-x86_64]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Provider[mock]/Web_request[provider-mock]: Dependency Exec[deltacloud-core-startup-wait] has failures: true
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Provider[mock]/Web_request[provider-mock]: Dependency Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Provider[mock]/Web_request[provider-mock]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Provider::Account[mock]/Web_request[provider-account-mock]: Dependency Exec[deltacloud-core-startup-wait] has failures: true
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Provider::Account[mock]/Web_request[provider-account-mock]: Dependency Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Provider::Account[mock]/Web_request[provider-account-mock]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Logout[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-logout]: Dependency Exec[deltacloud-core-startup-wait] has failures: true
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Logout[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-logout]: Dependency Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Logout[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-logout]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[destroy_temp_admin]: Dependency Exec[deltacloud-core-startup-wait] has failures: true
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[destroy_temp_admin]: Dependency Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Exec[destroy_temp_admin]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 100.21 seconds
[root@basin jrthomas]# rpm -qa | grep aeolus
aeolus-configure-2.6.1-1.fc17.noarch
rubygem-aeolus-image-0.5.0-1.fc17.noarch
aeolus-conductor-daemons-0.10.4-1.fc17.noarch
rubygem-aeolus-cli-0.5.0-1.fc17.noarch
aeolus-conductor-0.10.4-1.fc17.noarch
aeolus-all-0.10.4-1.fc17.noarch
aeolus-conductor-doc-0.10.4-1.fc17.noarch
Comment 1 Jon Thomas 2012-09-14 11:12:11 EDT
After a little investigation it appears f16 is at 

aeolus-conductor-0.10.6-1.fc16.noarch.rpm
aeolus-configure-2.6.1-1.fc16.noarch.rpm

f17 is at

aeolus-conductor-0.10.4-1.fc17.noarch.rpm  
aeolus-configure-2.6.1-1.fc17.noarch.rpm
Comment 2 Jon Thomas 2012-09-14 13:50:11 EDT
This error was fixed by replacing the f17 rpm with f16 rpms

err: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: change from notrun to 0 failed: /usr/bin/rake dc:create_user[admin,password,root@localhost.localdomain,Administrator,] returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor/site_admin.pp:9


This error was fixed by uninstalling the deltacloud-openstack rpms. Possibly due to bz856356


err: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: change from notrun to 0 failed: /usr/bin/nc -z localhost 3002 returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/deltacloud/core.pp:27


This error remains:

err: /Stage[main]/Aeolus::Profiles::Mock/Aeolus::Conductor::Login[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b]/Web_request[temporary-administrative-user-3893d81d0c06c19bc0fe0b36ada91c9d6c83b53ac7ff881b-conductor-login]/post: change from  to https://localhost/conductor/user_session failed: An exception was raised when invoking web request: Invalid HTTP Return Code: 404,
                               was expecting one of 200

It looks like conductor starts, but there is nothing at https://localhost/conductor. I have ovirt installed and it appears that https://localhost loads fine. I've turned off iptables and selinux.
Comment 3 Fedora End Of Life 2013-07-03 21:09:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Mo Morsi 2013-07-10 09:48:44 EDT
aeolus-configure has been discontinued. Closing

Note You need to log in before you can comment on or make changes to this bug.